# Get transaction status

This endpoint retrieves the details of a specific payment by providing the payment ID in the endpoint URL.

#### <mark style="color:green;">GET:</mark>/v1/payment/:payment\_reference

**Params**

| Name               | Type   | Description                                                        |
| ------------------ | ------ | ------------------------------------------------------------------ |
| payment\_reference | string | The payment reference that was generated when initializing payment |

#### Headers

| Name       | Type   | Description              |
| ---------- | ------ | ------------------------ |
| public-key | string | Your Vesicash public key |
| secret-key | string | Your Vesicash secret key |

#### Response

The response will be in JSON format and will have the following schema:

````
```json
{
    "status": "success",
    "code": 200,
    "message": "success",
    "data": {
        "id": "",
        "amount": 143,
        "type": "payment",
        "method": "mobilemoney",
        "status": "pending",
        "currency": "ZMW",
        "reference": "",
        "business_id": "",
        "created_at": "2024-11-06T10:14:31.888324Z",
        "environment": "test",
        "redirect_url": "http://www.google.com",
        "email": "user@example.com",
        "customer_first_name": "",
        "customer_last_name": "",
        "phone_number": ""
    }
}
```
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vesicash.com/api-documentation/payments/get-transaction-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
